#ifndef __forb__
#define __forb__

#include "stock.h"


#define SEGMENT_FIRST_PKTID	1
#define SEGMENT_FIRST_TIME	2
#define SEGMENT_PERIOD  3
#define SEGMENT_PACKETS 4
#define SEGMENT_SIZE    5
#define SEGMENT_FILENAME 6
#define SEGMENT_REPRESENTATION 7
#define FORB_CURRENT 8
#define FORB_SYNCHRONOUS 9
#define FORB_VERBOSE  10
#define FORB_MAXSIZE  11
#define FORB_SEGMENTS 12
#define FORB_SIZE	13
#define FORB_MAXPKTID   14
#define FORB_MAX_TIME_GAP 15

#define forbnodelay(ORB)

#ifdef  __cplusplus
extern "C" {
#endif

extern int forbfd(int orb ) ;
extern char * orbpkt_string ( char *srcname, double time, char *packet, int nbytes );

extern void forb_parse_filename ( char *filename, int *time, int *pktid ) ;
extern int forbopen ( char *filename, char *representation );
extern int forbclose ( int orb );
extern FILE *forbfile (int orb) ; 
extern int forbput ( int orb, char *srcname, double time, char *packet, int nbytes );
extern int forbget ( int orb, int which, int *rpktid, char *srcname, double *time, char **packet, int *nbytes, int *bufsize );
extern int forbreap ( int orb, int *rpktid, char *srcname, double *time, char **packet, int *nbytes, int *bufsize );
extern int forbafter ( int orb, double atime );
extern int forbtell ( int orb );
extern int forbselect ( int orb, char *select );
extern int forbreject ( int orb, char *reject );
extern int forbseek ( int orb, int which );
extern int forbcorrect ( int orb );

extern void fakesignal(char *representation, char *srcname, double time, char **packet, int *nsamp, int *bufsize ) ;
extern int fakefill ( char *representation, char *srcname, double time, char **packet, int *nbytes, int *bufsize ) ;
extern int fakecheck ( char *srcname, double time, char *packet, int nbytes ) ;
extern void showfakePkt ( int pktid, char *srcname, double time, char *packet, int nbytes, FILE *file, int mode );

extern int forbset ( int orb, ... );
extern int forbquery ( int orb, ... );
extern int forbstat ( int orb, Tbl **files, double *size ) ; 

#ifdef  __cplusplus
}
#endif

#endif

